/* eslint-env commonjs */
/**
 * https://jestjs.io/docs/en/configuration
 */
module.exports = {
<%_ if (webAppFunction === "Client") { _%>
	roots: ["<rootDir>/src"],
	setupFilesAfterEnv: ["<rootDir>/src/setupTests.ts"],
	transform: {
		"^.+\\.tsx?$": "ts-jest",
	},
	testRegex: "(/__tests__/.*|(\\.|/)(test|spec))\\.tsx?$",
<%_ } else { _%>
	testEnvironment: "<%- packagePlatform === "Browser" ? "jsdom" : "node" %>",
	modulePathIgnorePatterns: ["<rootDir>/coverage/", "<rootDir>/dist/", "<rootDir>/out/"],
	//	setupFilesAfterEnv: ["./tests/setupTests.ts"],
<%_ } _%>
};
